
CoCoALib - Feature #416

New fn: NumPartitions

04 Dec 2013 15:39 - John Abbott

Status: Closed Start date: 04 Dec 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 2.50 hours

Target version: CoCoALib-0.99532 Spent time: 2.25 hours

Description

Add new fn NumPartitions to compute number of partitions of an integer

History

#1 - 04 Dec 2013 15:46 - John Abbott

- Assignee set to John Abbott

- % Done changed from 0 to 90

Implemented in CoCoALib (in file NumTheory).  Documented.

Also put inside CoCoA-5, with documentation :-)

Note implemented a table building version, but not "exported" via header file

#2 - 01 Apr 2014 19:31 - Anna Maria Bigatti

- Status changed from New to Resolved

#3 - 02 Apr 2014 16:45 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

The impl was finished 4 months ago (but I forgot to update redmine).

No problems have arisen in 4 months --> closing.

I have removed the C5 impl; the C++ impl is just as easy to read!

#4 - 03 Apr 2014 11:53 - Anna Maria Bigatti

- Estimated time set to 2.50 h
